Subject: Re: [bug#45692] [PATCH 4/4] gnu: Add ZFS service.

From: raid5atemyhomework <[email-masked]>
Date: Mon, 08 Feb 2021 06:25:36 +0000

Sent with ProtonMail Secure Email.

‐‐‐‐‐‐‐ Original Message ‐‐‐‐‐‐‐
On Monday, February 8, 2021 3:31 AM, Danny Milosavljevic <[email-masked]> wrote:

> Hello,
>
> is it necessary to manually load the ZFS Linux kernel module? Usually, Linux
> should autoload its drivers when the device files are accessed--module or not.
>
> If that fails, didn't you patch the zfs package so it refers to modprobe anyway?

It does, for `udev`.  Not certain if it would trigger the load, though.  Presumably it would, but I have not tested.

A lot of this code was written in 0.8.5, where the ZFS tools will *not* attempt to `modprobe` the module first, they just error out.  I think in 2.0.1 upstream added code to load the module if the ZFS tool(s) were invoked while the module was not loaded, which is why additional patch was added by me for the 2.0.1 to patch in `modprobe`.  I have not tested if the `modprobe`-ing by the ZFS tools actually *works*, though.

Maybe when I find some amount of motivation I can go test it.

>
> (I wanna prevent having 543 places in Guix where modprobe is invoked)
>
> If it doesn't autoload, we can totally modprobe it, though.

Thanks
raid5atemyhomework